org.apache.ignite.internal.processors.odbc

## Class OdbcHandshakeRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.OdbcRequest
  - - org.apache.ignite.internal.processors.odbc.OdbcHandshakeRequest

    public class OdbcHandshakeRequest
    extends OdbcRequest

ODBC handshake request.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.OdbcRequest

`CLOSE_SQL_QUERY, EXECUTE_SQL_QUERY, FETCH_SQL_QUERY, GET_COLUMNS_META, GET_PARAMS_META, GET_TABLES_META, HANDSHAKE`

### Constructor Summary

Constructors
Constructor and Description
`OdbcHandshakeRequest(long ver)`

### Method Summary

Methods
`boolean` `distributedJoins()`
`void` `distributedJoins(boolean distributedJoins)`
`boolean` `enforceJoinOrder()`
`void` `enforceJoinOrder(boolean enforceJoinOrder)`
`String` `toString()`
`OdbcProtocolVersion` `version()`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.OdbcRequest

`command`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OdbcHandshakeRequest

    public OdbcHandshakeRequest(long ver)

Parameters:
  `ver` - Long value for protocol version.

### Method Detail

#### version

    public OdbcProtocolVersion version()

Returns:
  Protocol version.

#### distributedJoins

    public boolean distributedJoins()

Returns:
  Distributed joins flag.

#### distributedJoins

    public void distributedJoins(boolean distributedJoins)

Parameters:
  `distributedJoins` - Distributed joins flag.

#### enforceJoinOrder

    public boolean enforceJoinOrder()

Returns:
  Enforce join order flag.

#### enforceJoinOrder

    public void enforceJoinOrder(boolean enforceJoinOrder)

Parameters:
  `enforceJoinOrder` - Enforce join order flag.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016